﻿using Hotline.Application.Exam.Core.Utilities;
using Hotline.Exams.ExamManages;
using Hotline.Share.Requests.Exam;
using JiebaNet.Segmenter.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Linq.Expressions;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Exam.QueryExtensions.ExamManages
{
    public static class OfflineExamQueryExtensions
    {
        public static Expression<Func<OfflineExamAnalysis, bool>> GetExpression(this OfflineExamAnalysisPagedRequest offlineExamAnalysisPagedRequest)
        {
            Expression<Func<OfflineExamAnalysis, bool>> expression = m => m.Id != null;

            expression = ExpressionableUtility.CreateExpression<OfflineExamAnalysis>()
            .AndIF(offlineExamAnalysisPagedRequest.StartTime.IsNotNull(), x => x.StartTime >= offlineExamAnalysisPagedRequest.StartTime)
            .AndIF(offlineExamAnalysisPagedRequest.EndTime.IsNotNull(), x => x.StartTime <= offlineExamAnalysisPagedRequest.EndTime)
            .AndIF(offlineExamAnalysisPagedRequest.Keyword.IsNotNull(), x => x.ExamName.Contains(offlineExamAnalysisPagedRequest.Keyword))
            .ToExpression();

            return expression;
        }
    }
}
