﻿using Exam.Infrastructure.Data.Interface;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.ExamManages
{
    /// <summary>
    /// 线下考试统计实体
    /// </summary>
    [Description("线下考试统计实体")]
    public class OfflineExamAnalysisDto : UpdateOfflineExamAnalysisDto
    {
        
    }

    public class AddOfflineExamAnalysisDto : IAddRequest
    {
        /// <summary>
        /// 参考人员
        /// </summary>
        [Description("参考人员")]
        public string UserName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        [Description("部门名称")]
        public string DepartmentName { get; set; }

        /// <summary>
        /// 考试标题
        /// </summary>
        [Description("考试标题")]
        public string ExamName { get; set; }

        /// <summary>
        /// 考试总分
        /// </summary>
        [Description("考试总分")]
        public int TotalScore { get; set; }

        /// <summary>
        /// 合格分数
        /// </summary>
        [Description("合格分数")]
        public int CutoffScore { get; set; }

        /// <summary>
        /// 考试分数
        /// </summary>
        [Description("考试分数")]
        public int Score { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        public DateTime StartTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [Description("结束时间")]
        public DateTime? EndTime { get; set; }
    }

    public class UpdateOfflineExamAnalysisDto : AddOfflineExamAnalysisDto,IActionRequest
    {
        public string Id { get; set; }
    }
}
